Subject: I would like to contribute: jsdoc support in typescript-ts-mode

From: Martin Šošić <[email-masked]>
Date: Mon, 5 May 2025 21:47:54 +0200

Hi,
I noticed there is no jsdoc support in typescript-ts-mode, and I would love
to add a patch/PR to add it! I already have a working solution: I found who
that same support is implemented in js-ts-mode and slightly modified it to
work with typescript-ts-mode. Currently I apply that extra config in my
init.el, but I imagine it relatively straightforward from here to
contribute it to typescript-ts-mode.el itself.

More info can be found here on reddit where I asked for help, got it, and
then I edited the answer to contain the full solution:
https://www.reddit.com/r/emacs/comments/1kfblch/need_help_with_adding_jsdoc_highlighting_to/
.

I would appreciate any direction on how to go about this: I have been
programming for 20 years but I never used a mailing list and am not sure
what is the etiquette / right way to handle this!

Thanks,
Martin Sosic